// Vite中文网：https://vitejs.cn/config/
import {resolve} from 'path';
import uni from '@dcloudio/vite-plugin-uni';

const envs = require('./config/env');

export default ({mode}) => {

  let IS_TEST = true

  let json = process.env.UNI_CUSTOM_CONTEXT
  if (json) {
    const context = JSON.parse(json)
    IS_TEST = context.IS_TEST
  }

  // 默认测试服
  let config = envs.test
  if (!IS_TEST) {
    config = envs.prod
  }

  // 默认正式服
  // let config = envs.prod
  // if (!IS_TEST) {
  //   config = envs.test
  // }

  return {
    base: './',
    // 设置路径别名
    resolve: {
      alias: {
        '@': resolve(''),
      },
      extensions: ['.js', '.json', '.ts', '.vue'], // 使用路径别名时想要省略的后缀名，可以自己 增减
    },
    // 自定义全局变量
    define: {
      'process.env': config,
    },
    // 开发服务器配置
    server: {
      host: true,
      // open: true,
      // port: env.VITE_PORT,
      proxy: {},
    },
    // 构建配置
    // build: {
    //   outDir: 'dist',
    //   chunkSizeWarningLimit: 1500,
    //   rollupOptions: {
    //     output: {
    //       entryFileNames: `assets/[name].${new Date().getTime()}.js`,
    //       chunkFileNames: `assets/[name].${new Date().getTime()}.js`,
    //       assetFileNames: `assets/[name].${new Date().getTime()}.[ext]`,
    //       compact: true,
    //       // manualChunks: {
    //       //     vue: ['vue', 'vue-router', 'vuex'],
    //       //     echarts: ['echarts'],
    //       // },
    //     },
    //   },
    // },
    // 插件
    plugins: [
      uni(),
    ],
  };
};
